#pragma once

#include "CoreMinimal.h"
#include "Engine/DataAsset.h"
#include "UObject/SoftObjectPtr.h"
#include "FadeMaterialRedirector.generated.h"

class UMaterialInterface;

UCLASS(Blueprintable)
class MATERIALSWITCHHELPERRUNTIME_API UFadeMaterialRedirector : public UDataAsset
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftObjectPtr<UMaterialInterface> OriginalMaterial;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftObjectPtr<UMaterialInterface> GeneratedFadeMaterial;

public:
	UFadeMaterialRedirector();
};

FORCEINLINE uint32 GetTypeHash(const UFadeMaterialRedirector) { return 0; }
